package com.goafanti.order.bo;

import java.math.BigDecimal;

import com.goafanti.order.enums.NewOrderDunType;
import com.goafanti.order.enums.OrderDunSubject;

public class outOrderDunListBo {
	private String id;
	private String contractNo;
	private String orderNo;
	private String userName;
	private String salesmanName;
	private Integer projectStatus;
	private BigDecimal totalAmount;
	private Integer liquidationStatus;
	private BigDecimal settlementAmount;
	private BigDecimal accountsReceivable;
	private BigDecimal uncollectedAmount;
	private String startDate;
	private String depName;
	private String signDate;
	private Integer orderStatus;
	private Integer projectType;
	private Integer dunStatus;
	private Integer dunType;
	private String dunSubject;
	private BigDecimal appropriationRatio;
	private BigDecimal setUpAmount;
	private String customizeName;
	private String customizeTimes;
	
	public String getId() {
		return id;
	}
	public String getDunSubject() {
		if(dunSubject!=null)return OrderDunSubject.getValueByCode(Integer.valueOf(dunSubject));
		if(getDunType()!=null&&getDunType()!=0&&getProjectType()!=null)return NewOrderDunType.getValueByCode(Integer.valueOf(""+getProjectType()+getDunType()));
		if(getDunType()!=null&&getDunType()==0&&getProjectType()!=null)return NewOrderDunType.getValueByCode(Integer.valueOf(""+getProjectType()+getDunType()))+getCustomizeName();
		return dunSubject;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getContractNo() {
		return contractNo;
	}
	public void setContractNo(String contractNo) {
		this.contractNo = contractNo;
	}
	public String getOrderNo() {
		return orderNo;
	}
	public void setOrderNo(String orderNo) {
		this.orderNo = orderNo;
	}
	public String getUserName() {
		return userName;
	}
	public void setUserName(String userName) {
		this.userName = userName;
	}
	public String getSalesmanName() {
		return salesmanName;
	}
	public void setSalesmanName(String salesmanName) {
		this.salesmanName = salesmanName;
	}
	public Integer getProjectStatus() {
		return projectStatus;
	}
	public void setProjectStatus(Integer projectStatus) {
		this.projectStatus = projectStatus;
	}
	public BigDecimal getTotalAmount() {
		return totalAmount;
	}
	public void setTotalAmount(BigDecimal totalAmount) {
		this.totalAmount = totalAmount;
	}
	public Integer getLiquidationStatus() {
		return liquidationStatus;
	}
	public void setLiquidationStatus(Integer liquidationStatus) {
		this.liquidationStatus = liquidationStatus;
	}
	public BigDecimal getSettlementAmount() {
		return settlementAmount;
	}
	public void setSettlementAmount(BigDecimal settlementAmount) {
		this.settlementAmount = settlementAmount;
	}
	public BigDecimal getAccountsReceivable() {
		if(getProjectType()!=null&&getDunType()!=null&&
				Integer.valueOf(""+getProjectType()+getDunType())==33&&accountsReceivable==null&&appropriationRatio !=null &&setUpAmount!=null) {
			return setUpAmount.multiply(appropriationRatio);
		}
		return accountsReceivable;
	}
	public void setAccountsReceivable(BigDecimal accountsReceivable) {
		this.accountsReceivable = accountsReceivable;
	}
	public String getStartDate() {
		return startDate;
	}
	public void setStartDate(String startDate) {
		this.startDate = startDate;
	}
	public String getDepName() {
		return depName;
	}
	public void setDepName(String depName) {
		this.depName = depName;
	}
	public String getSignDate() {
		return signDate;
	}
	public void setSignDate(String signDate) {
		this.signDate = signDate;
	}
	public Integer getProjectType() {
		return projectType;
	}
	public void setProjectType(Integer projectType) {
		this.projectType = projectType;
	}
	public Integer getDunStatus() {
		return dunStatus;
	}
	public void setDunStatus(Integer dunStatus) {
		this.dunStatus = dunStatus;
	}
	public Integer getDunType() {
		return dunType;
	}
	public void setDunType(Integer dunType) {
		this.dunType = dunType;
	}
	public BigDecimal getAppropriationRatio() {
		return appropriationRatio;
	}
	public void setAppropriationRatio(BigDecimal appropriationRatio) {
		this.appropriationRatio = appropriationRatio;
	}
	public BigDecimal getSetUpAmount() {
		return setUpAmount;
	}
	public void setSetUpAmount(BigDecimal setUpAmount) {
		this.setUpAmount = setUpAmount;
	}
	public BigDecimal getUncollectedAmount() {
		return uncollectedAmount;
	}
	public void setUncollectedAmount(BigDecimal uncollectedAmount) {
		this.uncollectedAmount = uncollectedAmount;
	}
	public Integer getOrderStatus() {
		return orderStatus;
	}
	public void setOrderStatus(Integer orderStatus) {
		this.orderStatus = orderStatus;
	}
	public String getCustomizeTimes() {
		return customizeTimes;
	}
	public void setCustomizeTimes(String customizeTimes) {
		this.customizeTimes = customizeTimes;
	}
	public String getCustomizeName() {
		return customizeName;
	}
	public void setCustomizeName(String customizeName) {
		this.customizeName = customizeName;
	}
	

}
